Bug 16802 - psgml not working with XEmacs
Summary: psgml not working with XEmacs
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: psgml   
(Show other bugs)
Version: 6.2
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-23 16:42 UTC by Olivier Berger
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-08 13:57:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Olivier Berger 2000-08-23 16:42:32 UTC
psgml 1.2.1-5 is not working properly with XEmacs. It was not compiled
for/by XEmacs but rather emacs (or a file was forgotten)

the psgml-lucid.elc file is missing which prevents importing the emacs mode
under XEmacs.

the .elc files of the rpm are :
/usr/share/emacs/site-lisp/psgml/psgml-api.elc
/usr/share/emacs/site-lisp/psgml/psgml-charent.elc
/usr/share/emacs/site-lisp/psgml/psgml-dtd.elc
/usr/share/emacs/site-lisp/psgml/psgml-edit.elc
/usr/share/emacs/site-lisp/psgml/psgml-info.elc
/usr/share/emacs/site-lisp/psgml/psgml-other.elc
/usr/share/emacs/site-lisp/psgml/psgml-parse.elc
/usr/share/emacs/site-lisp/psgml/psgml.elc

when using psgml 1.2.1 from the original archive, installed with make
install-xemacs, I get :

/usr/local/share/emacs/site-lisp/psgml-api.elc
/usr/local/share/emacs/site-lisp/psgml-charent.elc
/usr/local/share/emacs/site-lisp/psgml-dtd.elc
/usr/local/share/emacs/site-lisp/psgml-edit.elc
/usr/local/share/emacs/site-lisp/psgml-info.elc
/usr/local/share/emacs/site-lisp/psgml-lucid.elc
/usr/local/share/emacs/site-lisp/psgml-parse.elc
/usr/local/share/emacs/site-lisp/psgml.elc

This seems to cause a problem for
/usr/local/share/emacs/site-lisp/psgml-lucid.elc and
/usr/share/emacs/site-lisp/psgml/psgml-other.elc that seems specific to
each installation.

Comment 1 Bernhard Rosenkraenzer 2000-08-23 17:21:43 UTC
Fixed.

Comment 2 Bernhard Rosenkraenzer 2000-08-23 17:22:05 UTC
Sorry, mistyped the bug number when closing this ;)


Comment 3 Tim Waugh 2000-11-20 17:32:06 UTC
The xemacs package contains
/usr/lib/xemacs/xemacs-packages/lisp/psgml/psgml-xemacs.elc.  Isn't that getting
used?

Comment 4 Tim Waugh 2001-01-08 13:57:34 UTC
Closing (no response from reporter).


Note You need to log in before you can comment on or make changes to this bug.